C
C PURPOSE: CALCULATES RADIATION FIELD INTENSITY IN THE DIRECTION THETA=ARCOS(X)
C
C INPUTS:
C       KR  TRANSITION INDEX
C	X   ?
C       XM  ?
C OUTPUTS:
C       FLIMB
C COMMON:
C
C RESTRICTIONS:
C       USES PLANCK FUNCTION, AT 5600 K.
C       NO ANGLE DEPENDENCE, X AND XM ARE NOT (YET) USED BUT ARE IMPLEMENTED
C COMMENTS: OCTOBER 6, 1999, P. JUDGE
C 
	FUNCTION FLIMB(KR,X,XM)

	INCLUDE 'PREC'
	INCLUDE 'PARAM'
	INCLUDE 'CATOM'
	INCLUDE 'CCONST'
	INCLUDE 'CLU'
	INCLUDE 'CINTS'
	DATA ICALL /0/
	SAVE ICALL
	Y=SQRT((X+XM)*(X-XM)/(ONE-XM*XM))
C
C  LAMBDA IS IN ANGSTROMS
C  XNU IS ANGULAR FREQUENCY OF TRANSITION
C
	XNU=1.E8*(TWO*PI)*(CC/ALAMB(KR))
	XT=5600.
	IF (ICALL.EQ.0) THEN 
	   WRITE (LJOBLO,'(A)') 
     /		    ' FLIMB: MUST ADD ANGLE DEPENDENCE'
	   ICALL=ICALL+1
	ENDIF
	FLIMB=ONE*PLANCK(XNU,XT)
	RETURN
	END
