C
C PURPOSE: COMPUTE INELASTIC MULTIPOLAR COLLISIONAL RATE
C
C INPUTS:
C       IJ    LEVEL INDEX
C       IJ1   LEVEL INDEX
C       K     MULTIPOLAR INDEX
C OUTPUTS:
C       GAMMAI
C COMMON:
C       CATOM CLU
C RESTRICTIONS:  THE TOTAL COLLISIONAL RATES C(I,J) ARE ASSUMED
C       TO BE THE RESULT OF 1 MULTIPOLE COMPONENT.  THIS MAY NOT BE 
C       CONSISTENT WITH THE INPUT DATA. SEE THE README FILE WITH THIS PROGRAM. 
C
C COMMENTS: OCTOBER 6, 1999, P. JUDGE
C 
	FUNCTION GAMMAI(IJ,IJ1,K)
	INCLUDE 'PREC'
	INCLUDE 'PARAM'
	INCLUDE 'CSE'
	INCLUDE 'CLU'
	INCLUDE 'CATMOS'
	INCLUDE 'CATOM'
	INCLUDE 'CINPUT'
	INCLUDE 'CINTS'
	LOGICAL E1,E2,SALLOW
	DATA ICALL /0/
	SAVE ICALL
	GAMMAI=0.0
	IF(ICOLL .EQ. 0 .OR. IJ1.GE.IJ) RETURN
	IF(ICALL.EQ.0) THEN 
	   WRITE (LJOBLO,80)
 80	   FORMAT(' GAMMAI AND GAMMAS:', 
     *     'FOR ALLOWED E1 AND E2 COMPONENTS , '/
     * 	   '                   NO EXCHANGE/STRONG COUPLING')
	   ICALL=ICALL+1
	ENDIF
C
C  USE QUANTUM NUMBERS TO IDENTIFY THE TYPE OF TRANSITION
C	
C  1. SPIN ALLOWED?
C
	SALLOW=QNS(IJ1).EQ.QNS(IJ)
C       
C  2. E1
C       
	E1=SALLOW.AND.(IQNP(IJ1).NE.IQNP(IJ))
     *           .AND.(NINT(ABS(QNJ(IJ1)-QNJ(IJ))).EQ.1)
	IF (E1.AND.(K.EQ.1)) GAMMAI=C(IJ1,IJ)
C
C  3. E2
C
	SUM=ABS(QNJ(IJ1))+ABS(QNJ(IJ))
	DIFF=ABS(QNJ(IJ1))-ABS(QNJ(IJ))
	E2=SALLOW.AND.(IQNP(IJ1).EQ.IQNP(IJ))
     *  	     .AND.(SUM.GT. 1.0).AND.(DIFF.LE. 2.0) 
	IF (E2.AND.(K.EQ.2)) GAMMAI=C(IJ1,IJ)
C
C  CMM FORMALISM
C
C THIS IS THE EQUATION  AFTER EQ (A4.3) OF LANDI'S BOOK, FOR THE DIAGONAL CASE
C (N=N', N''=N''')
C
	AA=AJ(IJ) 
	AA1=AJ(IJ1)
	FK=FLOAT(K)
	DO AN=-AA,AA
	   DO AN1=-AA1,AA1
	      DO P=-FK,FK
		 N=INT(AN)
		 N1=INT(AN1)
		 GAMMAI=GAMMAI + CMM(IJ,IJ1,N,N1) *
     *                  FUN3J(AA,AA1,FK,-AN,AN1,P)**2 *
     *                  (TWO*FK+ONE)/(TWO*AA1+ONE)
	      ENDDO
	   ENDDO
	ENDDO
	if(IDEBUG .NE. 0 .AND. GAMMAI .NE. 0.) WRITE(LOUT,*)
     *     'GAMMAI IJ,IJ1, K ',GAMMAI, IJ, IJ1, K
	RETURN
	END

